Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.actions
Class DocumentAction

    java.lang.Object
      javax.swing.AbstractAction
          info.bioinfweb.treegraph.gui.actions.TreeGraphAction
              info.bioinfweb.treegraph.gui.actions.DocumentAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Direct Known Subclasses:
  AssignLabelIDsAction, ChangePainterIDAction, CloseAction, CollapseNodeAction, CopyAllLabelsAction, CopyElementAction, DeleteElementAction, DeleteSubelementsAction, EditDialogAction, ExitAction, ExportToGraphicAction, LadderizeAction, MoveSubtreeAction, NewDocumentAction, NewLegendAction, NewNodeAction, NextDocumentAction, PasteAction, PreviousDocumentAction, ReanchorLegendAction, RedoAction, RerootAction, SaveAction, SaveAsAction, SearchTextAction, SelectAllAction, SelectLabelsInSubtreeAction, SelectLabelsWithIDAction, SelectLeafsInDocumentAction, SelectLeafsInSubtreeAction, SelectLegendsAction, SelectLegendsWithPosIndexAction, SelectSubtreeAction, SelectTypeInDocumentAction, SelectTypeInSubtreeAction, SeparateBranchAction, SetZoomAction, ShowHideScaleBarAction, ShowRootedAction, UndoAction

    public abstract class DocumentAction

extends TreeGraphAction

See Also:
  Serialized Form

Field Summary
`private MainFrame` | `mainFrame`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`DocumentAction(MainFrame mainFrame)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected MainFrame` | `getMainFrame()`
`protected abstract void` | `onActionPerformed(java.awt.event.ActionEvent e, TreeInternalFrame frame)`
`protected static boolean` | `oneElementSelected(TreeSelection selection)`
`abstract void` | `setEnabled(Document document, TreeSelection selection)`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.TreeGraphAction
`loadSymbols`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainFrame

    private MainFrame mainFrame

Constructor Detail

### DocumentAction

    public DocumentAction(MainFrame mainFrame)

Method Detail

### onActionPerformed

    protected abstract void onActionPerformed(java.awt.event.ActionEvent e,
                                              TreeInternalFrame frame)

### setEnabled

    public abstract void setEnabled(Document document,
                                    TreeSelection selection)

### oneElementSelected

    protected static boolean oneElementSelected(TreeSelection selection)

### getMainFrame

    protected MainFrame getMainFrame()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD